image: docker:latest
services:
  - docker:dind
variables:
  DOCKER_DRIVER: overlay

before_script:
  - apk add --update make ca-certificates openssl python
  - update-ca-certificates
  - echo $GCLOUD_SERVICE_KEY > ${HOME}/gcloud-service-key.json
  - wget https://dl.google.com/dl/cloudsdk/release/google-cloud-sdk.tar.gz
  - tar zxvf google-cloud-sdk.tar.gz && ./google-cloud-sdk/install.sh --usage-reporting=false --path-update=true
  - google-cloud-sdk/bin/gcloud --quiet components update
  - google-cloud-sdk/bin/gcloud auth activate-service-account --key-file ${HOME}/gcloud-service-key.json
  - docker login -u _json_key --password-stdin https://eu.gcr.io < ${HOME}/gcloud-service-key.json

stages:
  - publish
publish:
  stage: publish
  script:
    - docker build -t $CI_PROJECT_NAME .
    - docker tag $CI_PROJECT_NAME "eu.gcr.io/$GCLOUD_PROJECT_ID/gitlab-ci/$CI_PROJECT_NAMESPACE/$CI_PROJECT_NAME"
    - docker push "eu.gcr.io/$GCLOUD_PROJECT_ID/gitlab-ci/$CI_PROJECT_NAMESPACE/$CI_PROJECT_NAME:latest"
    - google-cloud-sdk/bin/gcloud --quiet beta run deploy www-zeue-net --image "eu.gcr.io/$GCLOUD_PROJECT_ID/gitlab-ci/$CI_PROJECT_NAMESPACE/$CI_PROJECT_NAME:latest" --platform managed --region europe-west1 --project $GCLOUD_PROJECT_ID --allow-unauthenticated
  only:
    - master
